Skip to main content
`Ctrl`+`K`

# TSAdaptSetType

sets the approach used for the error adapter

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetType(TSAdapt adapt, TSAdaptType type)

Logicially Collective

## Input Parameters

- adapt - the `TS` adapter, most likely obtained with `TSGetAdapt()`

- type - one of the `TSAdaptType`

## Options Database Key

- -ts_adapt_type (basic|dsp|none|cfl|glee|history) - to set the adapter type

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSGetAdapt()`, `TSAdaptDestroy()`, `TSAdaptType`, `TSAdaptGetType()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

## Examples

src/ts/tutorials/ex40.c
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex41.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages